#{ TRES package definition

noao
imred
echelle

s1 = envget ("min_lenuserarea")
if (s1 == "")
    reset min_lenuserarea = 100000
else if (int (s1) < 100000)
    reset min_lenuserarea = 100000

# Define TRES package
set	tresbin		= "tres$bin(arch)/"
set	tresscripts	= "tres$Scripts/"
set	tressrc		= "tres$Src/"
package tres, bin=tresbin$

set	doslit		= "noao$imred/src/doslit/"
cl < doslit$doslittasks.cl
task	sparams		= "specred$sparam"

task	centerpars	= "tres$centerpars.par"
task	datapars	= "tres$datapars.par"

task	textract	= "tresscripts$textract.cl"
task	textract1	= "tresscripts$textract1.cl"
task	tcosmic		= "tresscripts$tcosmic.cl"
task	tcosmed		= "tresscripts$tcosmed.cl"
task	tmakeflat	= "tresscripts$tmakeflat.cl"
task	tpreproc	= "tresscripts$tpreproc.cl"
task	$lns		= "$ln -s"
task	$ll		= "$ls -lF"

# TRES SPP tasks
task    filename,
        fileroot,
        fixdir,
        gettime,
        tcosbad,
        tcoslim,
        hskymatch,
        imgetp,
        istat,
        reref,
        padstr,
        round,
        smatch          = "tres$x_tres.e"

# Onedspec tasks
		task    autoidentify,
        continuum,
        dispcor,
        dopcor,
        identify,
        refspectra,
        reidentify,
        sapertures,
        sarith,
        sflip,
        slist,
        specplot,
        specshift,
        splot           = "onedspec$x_onedspec.e"
task    scombine        = "onedspec$x_scombine.e"
task    aidpars         = "onedspec$aidpars.par"

if (tres.verbose) {
    type tres$tres.msg
    type tres$tres.tasks
    }

;
clbye()
